Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IDebugTarget

All Superinterfaces:
  IAdaptable, IBreakpointListener, IDebugElement, IDisconnect, IMemoryBlockRetrieval, ISuspendResume, ITerminate

public interface IDebugTarget
extends IDebugElement, ITerminate, ISuspendResume, IBreakpointListener, IDisconnect, IMemoryBlockRetrieval

A debug target is a debuggable execution context. For example, a debug target may represent a debuggable process or a virtual machine. A debug target is the root of the debug element hierarchy. A debug target contains threads. Minimally, a debug target supports the following:

- terminate
- suspend/resume
- breakpoints
- disconnect

Generally, launching a debug session results in the creation of a debug target. Launching is a client responsibility, as is debug target creation.

Clients may implement this interface.

See Also:
  `ITerminate`, `ISuspendResume`, `IBreakpointListener`, `IDisconnect`, `IMemoryBlockRetrieval`, `ILaunch`

Method Summary
`String` | `getName()` Returns the name of this debug target.
`IProcess` | `getProcess()` Returns the system process associated with this debug target.
`IThread[]` | `getThreads()` Returns the threads contained in this debug target.
`boolean` | `hasThreads()` Returns whether this debug target currently contains any threads.
`boolean` | `supportsBreakpoint(IBreakpoint breakpoint)` Returns whether this target can install the given breakpoint.

Methods inherited from interface org.eclipse.debug.core.model.IDebugElement
`getDebugTarget, getLaunch, getModelIdentifier`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.debug.core.model.ITerminate
`canTerminate, isTerminated, terminate`

Methods inherited from interface org.eclipse.debug.core.model.ISuspendResume
`canResume, canSuspend, isSuspended, resume, suspend`

Methods inherited from interface org.eclipse.debug.core.IBreakpointListener
`breakpointAdded, breakpointChanged, breakpointRemoved`

Methods inherited from interface org.eclipse.debug.core.model.IDisconnect
`canDisconnect, disconnect, isDisconnected`

Methods inherited from interface org.eclipse.debug.core.model.IMemoryBlockRetrieval
`getMemoryBlock, supportsStorageRetrieval`

Method Detail

### getProcess

    public IProcess getProcess()

  Returns the system process associated with this debug target.

  Returns:
    the system process associated with this debug target

### getThreads

    public IThread[] getThreads()
                         throws DebugException

  Returns the threads contained in this debug target. An empty collection is returned if this debug target contains no threads.

  Returns:
    a collection of threads
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    2.0

### hasThreads

    public boolean hasThreads()
                       throws DebugException

  Returns whether this debug target currently contains any threads.

  Returns:
    whether this debug target currently contains any threads
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.
  Since:
    2.0

### getName

    public String getName()
                   throws DebugException

  Returns the name of this debug target. Name format is debug model specific, and should be specified by a debug model.

  Returns:
    this target's name
  Throws:
    `DebugException` - if this method fails. Reasons include:
    - Failure communicating with the debug target. The DebugException's status code contains the underlying exception responsible for the failure.

### supportsBreakpoint

    public boolean supportsBreakpoint(IBreakpoint breakpoint)

  Returns whether this target can install the given breakpoint.

  Returns:
    whether this target can install the given breakpoint

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.